| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions | Variables
RLI1 module documentation

## Macros
#define | RLI1_TASK_NAME "RLI1_task"
#define | RLI1_TASK_STACK_SIZE 1280
#define | RLI1_TASK_PRIORITY 12

## Functions
| OSA_TASK_DEFINE (RLI1, RLI1_TASK_STACK_SIZE)
void | rli_app_task (void)
void | RLI1_MainTask (os_task_param_t task_init_data)
void | RLI1_init (void)
isf_status_t | rli_spi_slave_init (void)
isf_status_t | rli_spi_slave_write_preprocess (void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
isf_status_t | rli_spi_slave_write_postprocess (void *pCmdOut)
isf_status_t | rli_spi_slave_read_preprocess (void *pCmdOut, uint32 offset, uint32 size)
isf_status_t | rli_spi_slave_read_postprocess (void *pCmdOut, void *pDataOut)
spi_master_CommSpecificInfo_t | rli_spi_get_config (uint16 spiAddress)

## Variables
spi_master_slaveInfo_t | rli_spi_sensor_type
gpio_output_pin_user_config_t | gpioX_OutConfig0 []
const spi_master_CommSpecificInfo_t | RLI_SPI_DeviceInfo

## Detailed Description

## Macro Definition Documentation

#define RLI1_TASK_NAME "RLI1_task"

Definition at line 46 of file RLI1.c.

Referenced by RLI1_init().

#define RLI1_TASK_PRIORITY 12

Definition at line 50 of file RLI1.c.

Referenced by RLI1_init().

#define RLI1_TASK_STACK_SIZE 1280

Definition at line 48 of file RLI1.c.

Referenced by RLI1_init().

## Function Documentation

OSA_TASK_DEFINE | ( | RLI1 | ,
|  | RLI1_TASK_STACK_SIZE |
| ) |  |

void RLI1_init | ( | void |  | ) |

Definition at line 87 of file RLI1.c.

References RLI1_MainTask(), RLI1_TASK_NAME, RLI1_TASK_PRIORITY, and RLI1_TASK_STACK_SIZE.

Referenced by Components_Init().

Here is the call graph for this function:

Here is the caller graph for this function:

void RLI1_MainTask | ( | os_task_param_t | task_init_data | ) |

Definition at line 70 of file RLI1.c.

References isf_system_sync(), and rli_app_task().

Referenced by RLI1_init().

Here is the call graph for this function:

Here is the caller graph for this function:

void rli_app_task | ( | void |  | ) |

Definition at line 189 of file rli_project.c.

References rliAppState_t::CfgBuffer, rliConfigRegister_t::channelID, COMM_CHANNEL_I2C1, device_connect(), rliConfigRegister_t::deviceAddress, isf_rli_init(), and rliAppState_t::pChannelDescriptor.

Referenced by RLI1_MainTask().

Here is the call graph for this function:

Here is the caller graph for this function:

spi_master_CommSpecificInfo_t rli_spi_get_config | ( | uint16 | spiAddress | ) |

Definition at line 176 of file RLI1.c.

References RLI_SPI_DeviceInfo.

Referenced by device_connect().

Here is the caller graph for this function:

isf_status_t rli_spi_slave_init | ( | void |  | ) |

Definition at line 205 of file RLI1.c.

References ISF_SUCCESS.

isf_status_t rli_spi_slave_read_postprocess | ( | void * | pCmdOut,
|  | void * | pDataOut
| ) |  |

Definition at line 289 of file RLI1.c.

References ISF_MEM_CPY, ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, and spi_mater_SlaveCmd::size.

isf_status_t rli_spi_slave_read_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size
| ) |  |

Definition at line 258 of file RLI1.c.

References ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

isf_status_t rli_spi_slave_write_postprocess | ( | void * | pCmdOut | ) |

Definition at line 248 of file RLI1.c.

References ISF_SUCCESS.

isf_status_t rli_spi_slave_write_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size,
|  | void * | pWritebuffer
| ) |  |

Definition at line 213 of file RLI1.c.

References ISF_MEM_CPY, ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

## Variable Documentation

gpio_output_pin_user_config_t gpioX_OutConfig0[]

Initial value:
=
{
{
.config.outputLogic = 1,
.config.slewRate = kPortSlowSlewRate,
.config.isOpenDrainEnabled = false,
.config.driveStrength = kPortLowDriveStrength,
},
{
.pinName = GPIO_PINS_OUT_OF_RANGE,
}
}

Definition at line 118 of file RLI1.c.

const spi_master_CommSpecificInfo_t RLI_SPI_DeviceInfo

Initial value:
=
{
.busConfig =
{
.timeout = 1000U,
.device =
{
.bitsPerSec = 500000U,
.dataBusConfig.bitsPerFrame = 8U,
.dataBusConfig.clkPolarity = kDspiClockPolarity_ActiveHigh,
.dataBusConfig.clkPhase = kDspiClockPhase_FirstEdge,
.dataBusConfig.direction = kDspiMsbFirst,
},
.userConfig =
{
.whichCtar = kDspiCtar0,
.isSckContinuous = false,
.isChipSelectContinuous = false,
.whichPcs = kDspiPcs0,
.pcsPolarity = kDspiPcs_ActiveHigh,
},
},
.pSlaveInfo = &rli_spi_sensor_type
}
rli_spi_sensor_type
spi_master_slaveInfo_t rli_spi_sensor_type
Definition: RLI1.c:109

Definition at line 131 of file RLI1.c.

Referenced by rli_spi_get_config().

spi_master_slaveInfo_t rli_spi_sensor_type

Initial value:
=
{
.slaveinit = (fnslaveinit_t)&rli_spi_slave_init,
.writepreProcess = (fnwritepreProcessing_t)rli_spi_slave_write_preprocess,
.writepostProcess = (fnwritepostProcossing_t)rli_spi_slave_write_postprocess,
.readpreProcess = (fnreadpreProcessing_t)rli_spi_slave_read_preprocess,
.readpostProcess = (fnreadpostProcossing_t)rli_spi_slave_read_postprocess
}
rli_spi_slave_read_postprocess
isf_status_t rli_spi_slave_read_postprocess(void *pCmdOut, void *pDataOut)
Definition: RLI1.c:289
rli_spi_slave_init
isf_status_t rli_spi_slave_init(void)
Definition: RLI1.c:205
rli_spi_slave_read_preprocess
isf_status_t rli_spi_slave_read_preprocess(void *pCmdOut, uint32 offset, uint32 size)
Definition: RLI1.c:258
rli_spi_slave_write_preprocess
isf_status_t rli_spi_slave_write_preprocess(void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
Definition: RLI1.c:213
fnwritepreProcessing_t
isf_status_t(* fnwritepreProcessing_t)(void *cmdOut, uint32 offset, uint32 size, void *writebuffer)
Definition: isf_spi_master_types.h:45
fnwritepostProcossing_t
isf_status_t(* fnwritepostProcossing_t)(void *cmd)
Definition: isf_spi_master_types.h:46
fnreadpreProcessing_t
isf_status_t(* fnreadpreProcessing_t)(void *cmdout, uint32 offset, uint32 size)
Definition: isf_spi_master_types.h:47
fnreadpostProcossing_t
isf_status_t(* fnreadpostProcossing_t)(void *cmd, void *dataOut)
Definition: isf_spi_master_types.h:48
rli_spi_slave_write_postprocess
isf_status_t rli_spi_slave_write_postprocess(void *pCmdOut)
Definition: RLI1.c:248
fnslaveinit_t
isf_status_t(* fnslaveinit_t)(void)
Definition: isf_spi_master_types.h:44

Definition at line 109 of file RLI1.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.